This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 393971 - Review Request: uniconvertor - Universal vector graphics translator
Review Request: uniconvertor - Universal vector graphics translator
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 05:58 EST by Andy Shevchenko
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.0-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:45:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2007-11-21 05:58:30 EST
Spec URL:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/uniconvertor.spec
SRPM URL:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/uniconvertor-1.0.0-
2.fc7.src.rpm

Description:
UniConvertor is a universal vector graphics translator.
It uses sK1 engine to convert one format to another.
Comment 1 Parag AN(पराग) 2007-11-21 22:36:35 EST
rpmlint gave me
uniconvertor.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/uniconvertor/app/modules/_type1module.so 0775
uniconvertor.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/uniconvertor/app/modules/_sketchmodule.so 0775
uniconvertor.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/uniconvertor/app/modules/skreadmodule.so 0775
uniconvertor.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/uniconvertor/app/modules/pstokenize.so 0775
uniconvertor.i386: E: non-standard-executable-perm
/usr/lib/python2.5/site-packages/uniconvertor/app/modules/streamfilter.so 0775

==>A standard executable should have permission set to 0755. If you get this
message, it means that you have a wrong executable permissions in some files
included in your package.


Good to have Source URL as
http://sk1project.org/downloads/uniconvertor/%{name}-%{version}.tar.gz
Comment 2 Andy Shevchenko 2007-11-22 09:39:07 EST
Updated package:
ftp://toaster.asplinux.com.ua/pub/people/andy/extras/uniconvertor-1.0.0-
3.fc7.src.rpm

[andy@toaster andy]$ rpmlint /media/home/andy/RPM/SRPMS/uniconvertor-1.0.0-
3.fc7.src.rpm
[andy@toaster andy]$ rpmlint /media/home/andy/RPM/RPMS/i386/uniconvertor*
Comment 3 Parag AN(पराग) 2007-11-22 23:17:21 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
e334c28f42820784d6a9445173e082a0  uniconvertor-1.0.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package uniconvertor-1.0.0-3.fc9 ->
  Provides: _sketchmodule.so _type1module.so pstokenize.so skreadmodule.so
streamfilter.so
  Requires: /bin/sh /usr/bin/python libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libpthread.so.0 libpython2.5.so.1.0 python(abi) = 2.5
python-imaging
+ Not a GUI app.

APPROVED.
Comment 4 Andy Shevchenko 2007-11-23 01:14:26 EST
New Package CVS Request
=======================
Package Name: uniconvertor
Short Description: Universal vector graphics translator
Owners: andriy
Branches: F-8 F-7
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-23 11:39:22 EST
cvs done.
Comment 6 Andy Shevchenko 2007-11-23 15:35:36 EST
I had missed the sitearch and CFLAGS. After fix all be done.
https://koji.fedoraproject.org/koji/taskinfo?taskID=255999

Thanks for review.
Comment 7 Fedora Update System 2007-11-26 13:45:12 EST
uniconvertor-1.0.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-11-26 13:47:44 EST
uniconvertor-1.0.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.